## dogtail 0.5.1

=== Makefile ===
# dogtail *development* Makefile

all:
	exit 1

clean:
	python setup.py clean
	rm -f MANIFEST
	rm -rf build dist
	
	find . -name '*.pyc' -exec rm {} \;

# Dollar signs must be escaped with dollar signs in variables.
export camelCAPS='[a-z_][a-zA-Z0-9_]*$$'
export StudlyCaps='[a-zA-Z_][a-zA-Z0-9_]*$$'

check:
	pylint --indent-string="	" --class-rgx=${StudlyCaps} --function-rgx=${camelCAPS} --method-rgx=${camelCAPS} --variable-rgx=${camelCAPS} --argument-rgx=${camelCaps} dogtail sniff/sniff examples/*.py

tarball:
	python setup.py sdist

rpm_prep: tarball
	mkdir -p rpms/{BUILD,RPMS/noarch,SOURCES,SPECS,SRPMS}
	# Create an rpmrc that will include our custom rpmmacros file
	echo "%_topdir `pwd`/rpms/" > rpms/tmp.rpmmacros
	echo "macrofiles: /usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.*:/etc/rpm/macros:/etc/rpm/%{_target}/macros:~/.rpmmacros:`pwd`/rpms/tmp.rpmmacros" > rpms/tmp.rpmrc

rpm: rpm_prep
	# Build using the custom rpmrc in the rpms/ sub-dir
	rpmbuild --rcfile /usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc:`pwd`/rpms/tmp.rpmrc  -tb dist/dogtail-*.tar.gz
	# Move the source and binary RPMs to dist/
	mv rpms/RPMS/noarch/* dist/
	rm -rf rpms/

srpm: rpm_prep
	# Build using the custom rpmrc in the rpms/ sub-dir
	rpmbuild --rcfile /usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc:`pwd`/rpms/tmp.rpmrc  -ts dist/dogtail-*.tar.gz
	# Move the source and binary RPMs to dist/
	mv rpms/SRPMS/* dist/
	rm -rf rpms/

deb:
	fakeroot debian/rules clean
	dpkg-buildpackage -rfakeroot -us -uc

apidocs:
	rm -rf website/doc/*
	#find website/doc -not -type d -not -regex '.*/\.svn/.*' -exec rm {} \;
	happydoc -d website/doc/ -t "Documentation" dogtail && \
	mv website/doc/dogtail/* website/doc/ && \
	rm -rf website/doc/dogtail/

## dogtail 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 # dogtail *development* Makefile
 
 all:
-	exit 1
+	python setup.py build_ext --inplace
+
+install:
+	python setup.py install
 
 clean:
 	python setup.py clean

## dogtail 0.8.1

=== debian/changelog ===
dogtail (0.8.1-2) experimental; urgency=low

  * Fix mistake in 0001-homedirornamedtemp.patch.
    This should unblock LP: #460210

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Feb 2013 18:12:50 +0000

dogtail (0.8.1-1) experimental; urgency=low

  * New maintainer. (Closes: #696136) (Closes: #553898)
  * Set packaging format to 3.0 (quilt).
  * New upstream release (Closes: #486452):
    - String exceptions are not used anymore. (Closes: #585287)
    - Fix missing check in findChildren(), tree.py (Closes: #485758)
  * ACK NMUs:
    - Convert APT's API patch into the quilt format. (Closes: #572087)
    - Convert Ludovico Gardenghi's patch into the quilt
      format. (Closes: #485752)
  * Fix desktop file as Freedesktop.org's per-spec.
  * Migrate from CDBS + python-support to DH short-form + dh_python2.
  * Move to section python.
  * Refresh {,Build-}Depends lists.
  * Remove xbase-clients from Depends. (Closes: #601486)
  * Add Homepage field. (Closes: #572570)
  * Add watch file.
  * Add gbp config file.
  * Refresh debian/copyright to meet copyright format 1.0.
  * Install NEWS as upstream changelog.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Feb 2013 16:01:44 +0000

dogtail (0.6.1-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch by Julian Andres Klode to make it API compliant with
    python-apt 0.8 (Closes: #572087).

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 01 Jun 2011 16:18:42 +0200

dogtail (0.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "[DoS] use of /tmp/dogtail prevents use by multiple users"
    Applied patch by Ludovico Gardenghi (Closes: #485752)

 -- Bastian Venthur <venthur@debian.org>  Sun, 21 Feb 2010 14:57:10 +0100

dogtail (0.6.1-3) unstable; urgency=low

  * pyhton-at-spi has to be added as dependency (Closes: #402752)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 16 Dec 2006 10:57:30 +0100

dogtail (0.6.1-2) unstable; urgency=low

  * Yay! As this has been actually uploaded to Debian... close the ITP
    (Closes: #399327) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 19 Nov 2006 23:32:50 +0100

dogtail (0.6.1-1) unstable; urgency=low

  * New upstream version.
  * Upload to Debian.
  * Use python-support.
  * debian/rules:
    - remove dh_iconcache, as Debian does not support it.
  * debian/control:
    - add Depends on python-gnome2, python-apt, xvfb and xbase-clients

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 19 Nov 2006 21:50:49 +0100

dogtail (0.5.1-0ubuntu1) edgy; urgency=low

  * New upstream release.
  * debian/rules:
    - add dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue,  1 Aug 2006 22:59:27 +0200

dogtail (0.4.3+cvs2006.02.14-0ubuntu2) dapper; urgency=low

  * debian/control: Add missing build dependency on python2.4, fixes
    FTBFS. Thanks, Stuart Langridge (Closes: Malone #39827).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 16 Apr 2006 21:55:34 -0400

dogtail (0i.4.3+cvs2006.02.14-0ubuntu1) dapper; urgency=low

  * [Zack Cerza <zcerza@coe.neu.edu>]
    - New upstream release.
    - Build-Depend on python-at-spi (>=0.5.3-1).
    - Add post-install script that calls gtk-update-icon-cache.
  * [Daniel Holbach]
    - changed versioning and sponsored upload
    - debian/python-dogtail.post-install:
      - dropped, we can't update hicolor icon cache.
    - debian/control:
      - new description.
      - bumped Standards-Version.
      - changed python-at-spi Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Feb 2006 12:31:33 +0100

dogtail (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Mon, 24 Oct 2005 02:32:14 -0400

dogtail (0.4.2-3) unstable; urgency=low

  * Correct website URL.

 -- Zack Cerza <zcerza@coe.neu.edu>  Wed, 19 Oct 2005 19:16:14 -0400

dogtail (0.4.2-2) unstable; urgency=low

  * Add Recommends for xvfb. 

 -- Zack Cerza <zcerza@coe.neu.edu>  Tue, 11 Oct 2005 16:59:04 -0400

dogtail (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu,  6 Oct 2005 23:25:03 -0400

dogtail (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu,  6 Oct 2005 17:23:03 -0400

dogtail (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu,  6 Oct 2005 16:54:16 -0400

dogtail (0.0.1.90-1) unstable; urgency=low

  * Initial Release

 -- Zack Cerza <zcerza@coe.neu.edu>  Sun, 10 Jul 2006 22:40:36 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spython_distutils --with python2

override_dh_auto_install:
	dh_auto_install
	mv debian/python-dogtail/usr/share/doc/dogtail/* \
		debian/python-dogtail/usr/share/doc/python-dogtail/
	rm -rf debian/python-dogtail/usr/share/doc/dogtail/

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## dogtail 0.8.2

=== Makefile ===
# dogtail *development* Makefile

all:
	python setup.py build_ext --inplace

install:
	python setup.py install

clean:
	rm -rf api_docs/
	python setup.py clean
	rm -f MANIFEST
	rm -rf build dist
	
	find . -name '*.pyc' -exec rm {} \;

# Dollar signs must be escaped with dollar signs in variables.
export camelCAPS='[a-z_][a-zA-Z0-9_]*$$'
export StudlyCaps='[a-zA-Z_][a-zA-Z0-9_]*$$'

check:
	pylint --indent-string="    " --class-rgx=${StudlyCaps} --function-rgx=${camelCAPS} --method-rgx=${camelCAPS} --variable-rgx=${camelCAPS} --argument-rgx=${camelCaps} dogtail sniff/sniff examples/*.py recorder/dogtail-recorder scripts/*.py

tarball:
	python setup.py sdist

rpm: tarball
	# Build using the custom rpmrc in the rpms/ sub-dir
	rpmbuild -tb dist/dogtail-*.tar.gz
	# Move the source and binary RPMs to dist/
	mv ~/rpmbuild/RPMS/noarch/* dist/

srpm: rpm_prep
	# Build using the custom rpmrc in the rpms/ sub-dir
	rpmbuild --rcfile /usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc:`pwd`/rpms/tmp.rpmrc  -ts dist/dogtail-*.tar.gz
	# Move the source and binary RPMs to dist/
	mv rpms/SRPMS/* dist/
	rm -rf rpms/

apidocs: apidocs_html apidocs_pdf

apidocs_html:
	epydoc --html --config epydoc.conf

apidocs_pdf:
	epydoc --pdf --config epydoc.conf
	mv api_docs/api.pdf api_docs/dogtail.pdf

update_apidocs: apidocs
	# Sadly, I'm still the only one who can update the API docs.
	ssh zmc@fedorapeople.org rm -rf \~/public_html/dogtail/epydoc/*
	scp api_docs/*.{html,css,png,pdf} zmc@fedorapeople.org:~/public_html/dogtail/epydoc/

=== debian/changelog ===
dogtail (0.8.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream maintenance release:
    - Added the dogtail-run-headless-next to replace the dogtail-run-headless
      in future.
    - Unittests vastly improved and updated.
    - Fixed a missing reset of FocusWindow to None on application refocus.
    - Fixed the dogtail-logout to use gnome-shell instead of old gnome-panel.
  * Drop 0001-homedirornamedtemp.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Jun 2013 22:39:32 +0100

=== debian/control ===
Source: dogtail
Section: python
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 python-all,
 python-pyatspi
X-Python-Version: >= 2.6
Homepage: https://fedorahosted.org/dogtail/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/dogtail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dogtail.git

Package: python-dogtail
Architecture: all
Depends:
 python-apt (>= 0.7.93),
 python-gi,
 python-gi-cairo,
 python-pyatspi,
 xvfb,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 imagemagick,
 python-celementtree | python-elementtree
Description: GUI test tool and automation framework
 dogtail is a GUI test tool and automation framework written in Python.
 It uses Accessibility (a11y) technologies to communicate with desktop
 applications. dogtail scripts are written in Python.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir -p debian/python-dogtail/usr/share/doc/python-dogtail/	
 	mv debian/python-dogtail/usr/share/doc/dogtail/* \
 		debian/python-dogtail/usr/share/doc/python-dogtail/
 	rm -rf debian/python-dogtail/usr/share/doc/dogtail/

=== debian/watch ===
version=3
https://fedorahosted.org/released/dogtail/ dogtail-(.*)\.tar\.gz

## dogtail 0.9.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # dogtail *development* Makefile
 
 all:
-	python setup.py build_ext --inplace
+	python setup.py build
 
 install:
-	python setup.py install
+	python setup.py install --root=$(DESTDIR)
 
 clean:
 	rm -rf api_docs/

=== debian/changelog ===
dogtail (0.9.0-2) unstable; urgency=medium

  * QA upload.
  * Fix VCS tag.
  * Update copyright holders references.
  * Depends on gir1.2-gtk-3.0. (Closes: #738547)
  * Depends on at-spi2-core. (Closes: #485783)
  * Orphaning the package.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 Feb 2015 20:30:44 +0000

dogtail (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 22 Apr 2014 17:13:47 +0100

dogtail (0.8.2-2) unstable; urgency=low

  * Don't use os.getlogin() to get the name of the user currently logged on.
    Thanks to Jakub Wilk to pointing this out. (Closes: #743500)
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Apr 2014 15:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: dogtail
 Section: python
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9~),
  python-all,
  python-pyatspi
 X-Python-Version: >= 2.6
 Homepage: https://fedorahosted.org/dogtail/
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/collab-maint/dogtail.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dogtail.git
+Standards-Version: 3.9.5
 
 Package: python-dogtail
 Architecture: all
 Depends:
+ at-spi2-core,
+ gir1.2-gtk-3.0,
  python-apt (>= 0.7.93),
  python-gi,
  python-gi-cairo,

## dogtail 0.9.9

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,43 @@
 # dogtail *development* Makefile
 
-all:
+all: install3 install2
+
+install: clean
 	python setup.py build
+	python setup.py install --root=$(DESTDIR)
 
-install:
-	python setup.py install --root=$(DESTDIR)
+
+install3: clean3
+	python3 setup.py build
+	python3 setup.py install --root=$(DESTDIR)
+
+install2: clean2
+	python2 setup.py build
+	python2 setup.py install --root=$(DESTDIR)
 
 clean:
 	rm -rf api_docs/
-	python setup.py clean
 	rm -f MANIFEST
 	rm -rf build dist
-	
 	find . -name '*.pyc' -exec rm {} \;
 
-# Dollar signs must be escaped with dollar signs in variables.
-export camelCAPS='[a-z_][a-zA-Z0-9_]*$$'
-export StudlyCaps='[a-zA-Z_][a-zA-Z0-9_]*$$'
+clean2: clean
+	python2 setup.py clean
+
+clean3: clean
+	python3 setup.py clean
 
 check:
-	pylint --indent-string="    " --class-rgx=${StudlyCaps} --function-rgx=${camelCAPS} --method-rgx=${camelCAPS} --variable-rgx=${camelCAPS} --argument-rgx=${camelCaps} dogtail sniff/sniff examples/*.py recorder/dogtail-recorder scripts/*.py
+	pep8 --max-line-length=120 dogtail/*.py tests/*.py scripts/* sniff/sniff
+
+test:
+	nosetests tests/
+
+test2:
+	nosetests2 tests/
+
+test3:
+	nosetests3 tests/
 
 tarball:
 	python setup.py sdist

=== debian/changelog ===
dogtail (0.9.9-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 0.9.9 (Closes: #827540)
  * Bump Standards-Version to 3.9.8
  * Drop patch 0002-apt_api_update.patch (python-apt 0.8 API
    compliance) which was applied upstream
  * Refresh debian/patches/1001-logged_on_user.patch against new
    upstream version
  * Add python-setuptools to Build-Depends to fix build issue
  * New Debian patch to fix python3 issue with python2 packaging

 -- Michael Prokop <mika@debian.org>  Thu, 21 Jul 2016 11:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends:
  debhelper (>= 9~),
  python-all,
- python-pyatspi
+ python-pyatspi,
+ python-setuptools
 X-Python-Version: >= 2.6
 Homepage: https://fedorahosted.org/dogtail/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 
 Package: python-dogtail
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mkdir -p debian/python-dogtail/usr/share/doc/python-dogtail/	
+	mkdir -p debian/python-dogtail/usr/share/doc/python-dogtail/
 	mv debian/python-dogtail/usr/share/doc/dogtail/* \
 		debian/python-dogtail/usr/share/doc/python-dogtail/
 	rm -rf debian/python-dogtail/usr/share/doc/dogtail/

## dogtail 0.9.11

=== debian/changelog ===
dogtail (0.9.11-6) unstable; urgency=medium

  [ Iain Lane ]
  * patches/0001-test_tree-Move-test_unicode_char_-to-use-a-different.patch: Fix
    tests with gedit 3.35

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Feb 2020 14:17:08 +0100

dogtail (0.9.11-5) unstable; urgency=medium

  * rules, tests/tests: Prevent Xvfb from resetting between clients, it seems to
    be creating a period of time during which clients can't connect.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2019 23:38:35 +0200

dogtail (0.9.11-4) unstable; urgency=medium

  * tests/tests: Fix temporary directory path. 
  * patches/gedit_3.34: Fix gedit's at-spi exposed name.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Sep 2019 19:49:23 +0200

dogtail (0.9.11-3) unstable; urgency=medium

  * rules: Run tests.
  * control: Add corresponding build deps.
  * patches/kill_appli: Fix killing demo application.
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Aug 2019 03:24:23 +0200

dogtail (0.9.11-2) unstable; urgency=medium

  * control: Drop recommending python-celementtree | python-elementtree, the
    support does not exist any more.
  * patches/detect-session.patch: Fix dogtail-detect-session in non-gnome
    environments (Closes: #485753).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 Aug 2019 22:01:50 +0200

dogtail (0.9.11-1) unstable; urgency=medium

  * New upstream release
    - patches/1001-logged_on_user.patch: merged.
  * control,rules: Migrate to python3, rename python-dogtail to
    python3-dogtail (Closes: #728658)
  * control: Adopt package (Closes: #777382)
  * control: Add VCS URL.
  * control,copyright,watch: Update upstream URLs
  * control: Add dh-python build-dep.
  * rules: Switch to pybuild build system.
  * patches/accessibleid.patch: Backport support for accessibleId.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 22:40:43 +0200

dogtail (0.9.9-2) unstable; urgency=medium

  * QA upload.
  * Fix "/bin/sniff fails to start on a merged-/usr system":
    add patch fix-icon-path-check.patch from Juhani Numminen:
    use '==' for comparison, allows one to run script as /bin/sniff.
    (Closes: #860523)

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Dec 2018 11:34:03 +0100

=== debian/control ===
Source: dogtail
Section: python
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python3-all,
 python3-pyatspi,
 python3-setuptools,
 python3-nose <!nocheck>,
 gtk-3-examples <!nocheck>,
 gedit <!nocheck>,
 imagemagick <!nocheck>,
 gnome-screenshot <!nocheck>,
 psmisc <!nocheck>,
 at-spi2-core <!nocheck>,
 dbus <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>
Vcs-Browser: https://salsa.debian.org/Debian/dogtail
Vcs-Git: https://salsa.debian.org/Debian/dogtail.git
Homepage: https://gitlab.com/dogtail/dogtail
Standards-Version: 3.9.8

Package: python3-dogtail
Architecture: all
Depends:
 at-spi2-core,
 gir1.2-gtk-3.0,
 python3-apt (>= 0.7.93),
 python3-gi,
 python3-gi-cairo,
 python3-pyatspi,
 xvfb,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Breaks: python-dogtail
Replaces: python-dogtail
Recommends:
 imagemagick,
Description: GUI test tool and automation framework
 dogtail is a GUI test tool and automation framework written in Python.
 It uses Accessibility (a11y) technologies to communicate with desktop
 applications. dogtail scripts are written in Python.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	GTK_MODULES=gail:atk-bridge LC_ALL=C xvfb-run -s -noreset -a dbus-run-session -- nosetests3 -v tests/
endif

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python3-dogtail/usr/share/doc/python3-dogtail/
	mv debian/python3-dogtail/usr/share/doc/dogtail/* \
		debian/python3-dogtail/usr/share/doc/python3-dogtail/
	rm -rf debian/python3-dogtail/usr/share/doc/dogtail/

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: tests
Depends: python3-dogtail,
         python3-nose,
         gtk-3-examples,
         gedit,
         imagemagick,
         gnome-screenshot,
         psmisc,
         at-spi2-core, dbus, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=downloadurlmangle=s_/blob/_/raw/_ \
https://gitlab.com/dogtail/dogtail/tree/released \
/dogtail/dogtail/blob/released/dogtail-@ANY_VERSION@@ARCHIVE_EXT@

## dogtail 1.0.0

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	nosetests3 tests/
 
 tarball:
-	python setup.py sdist
+	python3 setup.py sdist
 
 rpm: tarball
 	# Build using the custom rpmrc in the rpms/ sub-dir

=== debian/changelog ===
dogtail (1.0.0-6) unstable; urgency=medium

  * Rebuild on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Mar 2025 12:41:28 +0100

dogtail (1.0.0-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Use api to get tags.
  * control: Add missing python3-cairo build-dep (closes: Bug#1098543)

  [ intrigeri ]
  * Depend on ponytail (Closes: #1084134)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Feb 2025 20:13:14 +0100

dogtail (1.0.0-4) unstable; urgency=medium

  * patches/nowm: Fix case when running tests without a wm and clicking on an
    item at 0,0 (Closes: #1082785)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Oct 2024 00:28:26 +0200

dogtail (1.0.0-3) unstable; urgency=medium

  * patches/tc: Restore dogtail.tc module.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2024 19:51:46 +0200

dogtail (1.0.0-2) unstable; urgency=medium

  * control, tests/control: Move python3-xlib and python3-packaging deps to
    dogtail itself.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Sep 2024 23:46:17 +0200

dogtail (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1079646)
    - patches/gedit_3.34: Merged upstream.
    - patches/spurious-sleeping-msg: Merged upstream.
    - patches/python3_vs_python2.34: Now useless.
    - patches/*: Refresh.
    - patches/position: Drop some tests.
    - control, tests/control: Add python3-xlib and python3-packaging build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Aug 2024 10:37:34 +0200

dogtail (0.9.11-13) unstable; urgency=medium

  [ Samuel Thibault ]
  * clean: Clean generated files (Closes: Bug#1044785)

  [ Jeremy Bícha ]
  * patches/adapt-to-push-button-removal.patch: Fix build with at-spi2-core >=
    2.53 (Closes: Bug#1078369)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 23 Aug 2024 00:35:51 +0200

dogtail (0.9.11-12) unstable; urgency=medium

  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.
  * tests/control: Depend on dbus-daemon instead of dbus.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:23:31 +0100

dogtail (0.9.11-11) unstable; urgency=medium

  * debian/tests/control: Use python3-nose2 instead of python3-nose
    (Closes: Bug#1018345)
  * control: Make Multi-Arch: foreign.
  * control: Drop the xvfb dependency, dogtail itself doesn't use it.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:02:32 +0200

dogtail (0.9.11-10) unstable; urgency=medium

  * patches/README-zwsp: Avoid zero-width spaces in README, this confuses
    tools and makes PKG-INFO unreproducible.
  * rules: Build the whole package with LC_ALL=C to fix reproducibility of
    the PKG-INFO charset.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 20:14:59 +0100

dogtail (0.9.11-9) unstable; urgency=medium

  * patches/keep_config: Fix keeping the old config when testing setting
    config properties.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Oct 2021 01:20:16 +0200

dogtail (0.9.11-8) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * control: Replace python3-nose with python3-nose2.
  * rules: Use nose2-3 instead of nosetests3.
  * patches/spurious-sleeping-msg: Avoid sleeping messages which break the
    tests.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Oct 2021 16:15:04 +0200

dogtail (0.9.11-7) unstable; urgency=medium

  * watch: Use the tag page instead of the released page.
  * copyright: Use https URL for Format.
  * control: Bump Standards-Version to 4.5.0.
  * control: Bump debhelper compat to 12.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,36 +3,43 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper (>= 9~),
- dh-python,
+ debhelper-compat (= 12),
+ dh-sequence-python3,
  python3-all,
  python3-pyatspi,
  python3-setuptools,
- python3-nose <!nocheck>,
+ python3-nose2 <!nocheck>,
+ python3-packaging <!nocheck>,
+ python3-xlib <!nocheck>,
+ python3-cairo <!nocheck>,
  gtk-3-examples <!nocheck>,
  gedit <!nocheck>,
  imagemagick <!nocheck>,
  gnome-screenshot <!nocheck>,
  psmisc <!nocheck>,
- at-spi2-core <!nocheck>,
+ at-spi2-core (>= 2.53) <!nocheck>,
  dbus <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/Debian/dogtail
 Vcs-Git: https://salsa.debian.org/Debian/dogtail.git
 Homepage: https://gitlab.com/dogtail/dogtail
-Standards-Version: 3.9.8
+Standards-Version: 4.6.0
 
 Package: python3-dogtail
 Architecture: all
+Multi-Arch: foreign
 Depends:
- at-spi2-core,
+ at-spi2-core (>= 2.53),
  gir1.2-gtk-3.0,
+ gnome-ponytail-daemon,
  python3-apt (>= 0.7.93),
  python3-gi,
  python3-gi-cairo,
  python3-pyatspi,
- xvfb,
+ python3-xlib,
+ python3-packaging,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ -Spybuild --with python3
+	dh $@ -Spybuild
+
+export LC_ALL=C
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	GTK_MODULES=gail:atk-bridge LC_ALL=C xvfb-run -s -noreset -a dbus-run-session -- nosetests3 -v tests/
+	GTK_MODULES=gail:atk-bridge LC_ALL=C xvfb-run -s -noreset -a dbus-run-session -- nose2-3 -v
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: tests
Depends: python3-dogtail,
         python3-nose2,
         gtk-3-examples,
         gedit,
         imagemagick,
         gnome-screenshot,
         psmisc,
         at-spi2-core (>= 2.53), dbus-daemon, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pagemangle=s!"name":"DOGTAIL_([0-9_]*)"!<a href="https://gitlab.com/@PACKAGE@/@PACKAGE@/-/archive/DOGTAIL_$1/@PACKAGE@-DOGTAIL_$1.tar.bz2">!g,uversionmangle=s/_/./g" \
https://gitlab.com/api/v4/projects/@PACKAGE@%2F@PACKAGE@/repository/tags \
https://gitlab.com/@PACKAGE@/@PACKAGE@/.*/@PACKAGE@-DOGTAIL_([0-9_]*)@ARCHIVE_EXT@

## dogtail 1.0.7

=== Makefile ===
--- 
+++ 
@@ -31,13 +31,7 @@
 	pep8 --max-line-length=120 dogtail/*.py tests/*.py scripts/* sniff/sniff
 
 test:
-	nosetests tests/
-
-test2:
-	nosetests2 tests/
-
-test3:
-	nosetests3 tests/
+	LC_ALL=C nose2 tests
 
 tarball:
 	python3 setup.py sdist

=== debian/changelog ===
dogtail (1.0.7-2) unstable; urgency=medium

  * control: Build-depend on dbus-daemon rather than all dbus
    (Closes: Bug#1122563)
  * patches/no-gnome-screenshot: Use imagemagick's import instead of
    gnome-screenshot.
  * control, tests/control: Drop gnome-screenshot dependency.
    (Closes: Bug#1125168)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Jan 2026 15:32:24 +0100

dogtail (1.0.7-1) unstable; urgency=medium

  * New uptream release.
    - patches/0001-test_tree-Move-test_unicode_char_-to-use-a-different.patch:
    Refresh.
    - patches/accessibleid.patch: Upstreamed.
    - patches/kill_appli: Upstreamed.
    - patches/keep_config: Upstreamed.
    - patches/adapt-to-push-button-removal.patch: Upstreamed.
    - patches/tc: Upstreamed.
    - patches/nowm: Upstreamed.
  * copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 04 Sep 2025 19:56:40 +0200

dogtail (1.0.0-8) unstable; urgency=medium

  * Reupload with higher priority, to unstuck at-spi2-core.
  * No source change.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Aug 2025 23:39:17 +0200

dogtail (1.0.0-7) unstable; urgency=low

  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.0.1.90-1.
  * Update standards version to 4.6.2, no changes needed.
  * patches/at-spi-2.0-2.57: Fix testsuite against fixed behavior in
    at-spi-2.0-2.57.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Aug 2025 00:56:18 +0200

=== debian/control ===
--- 
+++ 
@@ -15,17 +15,16 @@
  gtk-3-examples <!nocheck>,
  gedit <!nocheck>,
  imagemagick <!nocheck>,
- gnome-screenshot <!nocheck>,
  psmisc <!nocheck>,
  at-spi2-core (>= 2.53) <!nocheck>,
- dbus <!nocheck>,
+ dbus-daemon <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/Debian/dogtail
 Vcs-Git: https://salsa.debian.org/Debian/dogtail.git
 Homepage: https://gitlab.com/dogtail/dogtail
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 
 Package: python3-dogtail
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
          gtk-3-examples,
          gedit,
          imagemagick,
-         gnome-screenshot,
          psmisc,
          at-spi2-core (>= 2.53), dbus-daemon, xauth, xvfb
 Restrictions: allow-stderr
